Update Customer
PUT
https://api.baremetrics.com/v1/{source_id}/customers/{oid}This endpoint allows you to update the basic information stored on a Customer, such as first name, last name and notes
Path parameters
oidstring requiredYour unique ID for the customer
source_idstring requiredPlease see Sources
Body
application/jsonnamestringnotesstringcreatedstring · date-timeUnix timestamp of when this customer was created
emailstringEmail for this customer
Responses
200OK
{
"customer": {
"oid": "customer_1",
"source_id": "source_1",
"source": "stripe",
"created": 1492605754,
"email": "customer_1@baremetrics.com",
"name": "Customer 1",
"display_image": "https://logo.clearbit.com/baremetrics.com",
"display_name": "Customer 1",
"notes": "Here are some notes",
"ltv": 50000,
"is_active": true,
"is_canceled": false,
"current_mrr": 1000,
"current_plans": [
{
"oid": "plan_1",
"source_id": "source_1",
"source": "stripe",
"name": "Plan 1",
"interval": "month",
"interval_count": 1,
"trial_duration": null,
"trial_duration_unit": null,
"created": 1492605754,
"active": true,
"setup_fees": 0,
"amounts": [
{
"currency": "USD",
"symbol": "$",
"symbol_right": false,
"amount": 1000
}
]
}
]
}
}400Bad Request
{
"error": "Error message here"
}